### Method

# Gcr ImportInteraction supplement

#### Declaration [src]

    GTlsInteractionResult
    gcr_import_interaction_supplement (
      GcrImportInteraction* interaction,
      GckBuilder* builder,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Supplement attributes before import. This means prompting the user for things like labels and the like. The needed attributes will have been passed to gcr_import_interaction_supplement_prep().

This method prompts the user and fills in the attributes. If the user or cancellable cancels the operation the error should be set with `G_IO_ERROR_CANCELLED`.

#### Parameters

`builder`

  Type: `GckBuilder`

  Supplemented attributes.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellable object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GTlsInteractionResult`

`G_TLS_INTERACTION_HANDLED` if successful or `G_TLS_INTERACTION_FAILED`.